Page MenuHomePhabricator

Make senses UI call wbladdsense API when saving a new sense
Closed, ResolvedPublic

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterIntroduce SenseChanger
mediawiki/extensions/WikibaseLexeme : masterAdd support for senses in LexemeRevisionStore.js
mediawiki/extensions/WikibaseLexeme : masterUse TermMapSerializer in FormSerializer and SenseSerializer
mediawiki/extensions/WikibaseLexeme : masterCorrectly serialize glosses in SenseSerializer
mediawiki/extensions/WikibaseLexeme : masterTurn glosses into a TermMap in frontend, second try
mediawiki/extensions/WikibaseLexeme : masterTurn glosses into a TermMap in frontend
mediawiki/extensions/WikibaseLexeme : masterIntroduce SenseSerializer.js

Related Objects

Event Timeline

Ladsgroup moved this task from To Do to Doing on the Wikidata-Senses-Iteration1 board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJul 3 2018, 12:06 PM

Change 443654 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Turn glosses into a TermMap in frontend

https://gerrit.wikimedia.org/r/443654

Change 443660 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Introduce SenseSerializer.js

https://gerrit.wikimedia.org/r/443660

Qunit tests pass on my localhost and not here, it's driving me crazy. I'm calling it a day. Feel free to pick this up until the week after next week

Ladsgroup removed Ladsgroup as the assignee of this task.Jul 4 2018, 10:21 AM
Ladsgroup moved this task from Doing to To Do on the Wikidata-Senses-Iteration1 board.
Ladsgroup added a subscriber: Ladsgroup.

Change 443654 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Turn glosses into a TermMap in frontend

https://gerrit.wikimedia.org/r/443654

Change 443660 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Introduce SenseSerializer.js

https://gerrit.wikimedia.org/r/443660

Change 446305 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Turn glosses into a TermMap in frontend, second try

https://gerrit.wikimedia.org/r/446305

Change 446305 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Turn glosses into a TermMap in frontend, second try

https://gerrit.wikimedia.org/r/446305

Change 446310 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Correctly serialize glosses in SenseSerializer

https://gerrit.wikimedia.org/r/446310

Change 446313 had a related patch set uploaded (by Lucas Werkmeister (WMDE); owner: Lucas Werkmeister (WMDE)):
[mediawiki/extensions/WikibaseLexeme@master] Use TermMapSerializer in FormSerializer and SenseSerializer

https://gerrit.wikimedia.org/r/446313

Change 446310 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Correctly serialize glosses in SenseSerializer

https://gerrit.wikimedia.org/r/446310

Change 446320 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Introduce SenseChanger

https://gerrit.wikimedia.org/r/446320

Change 446313 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use TermMapSerializer in FormSerializer and SenseSerializer

https://gerrit.wikimedia.org/r/446313

Change 446332 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/WikibaseLexeme@master] Add support for senses in LexemeRevisionStore.js

https://gerrit.wikimedia.org/r/446332

Change 446332 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Add support for senses in LexemeRevisionStore.js

https://gerrit.wikimedia.org/r/446332

Change 446320 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Introduce SenseChanger

https://gerrit.wikimedia.org/r/446320

Lucas_Werkmeister_WMDE closed this task as Resolved.Jul 23 2018, 10:24 AM
Lucas_Werkmeister_WMDE assigned this task to Ladsgroup.